### Function

# EDataServer time_parse_date_and_time_ex

since: 2.22

#### Declaration [src]

    ETimeParseStatus
    e_time_parse_date_and_time_ex (
      const gchar* value,
      tm* result,
      gboolean* two_digit_year
    )

#### Description [src]

Parses a string `value` containing a date and a time and stores the result in `result`. The date in `value` is expected to be in a format like “Wed 3/13/00 14:20:00”, though `gettext()` is used to support the appropriate local formats. There is also some leniency on the format of the string, e.g. the weekday can be skipped or 12-hour formats with am/pm can be used.

Available since: 2.22

#### Parameters

`value`

  Type: `const gchar*`

  The string to parse a date and time from.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`result`

  Type: `tm*`

  A #tm to store the result in.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`two_digit_year`

  Type: `gboolean*`

  Set to TRUE, is parsing with two-digit year, else FALSE, but only when not NULL.

  The data is owned by the caller of the function.

#### Return value

Type: `ETimeParseStatus`

E_TIME_PARSE_OK if the string was successfully parsed, E_TIME_PARSE_NONE if the string was empty, or E_TIME_PARSE_INVALID if the string could not be parsed.